local PlayedMission = getenv("PlayedMission")
--prever las cosas es mejor... xD
or { Description = "Probably something went wrong in function OptionRowMission(). But that's impossible because we're here in this screen! Anyway, this was coded to prevent errors here..." }

return Def.ActorFrame{
	LoadSongBackground();
	Def.Quad {
		InitCommand=cmd(diffuse,0,0,0,0.5;stretchto,0,SCREEN_HEIGHT*0.4,SCREEN_WIDTH,SCREEN_HEIGHT*0.6);
	};
	Def.Quad {
		InitCommand=cmd(diffuse,1,0.5,0,1;stretchto,0,SCREEN_HEIGHT*0.4-5,SCREEN_WIDTH,SCREEN_HEIGHT*0.4+5);
	};
		Def.Quad {
		InitCommand=cmd(diffuse,1,0.5,0,1;stretchto,0,SCREEN_HEIGHT*0.6-5,SCREEN_WIDTH,SCREEN_HEIGHT*0.6+5);
	};
	LoadFont("ArialOutline")..{
		Text=PlayedMission.Description;
		InitCommand=cmd(shadowlength,0;wrapwidthpixels,SCREEN_WIDTH-100;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y);
	};
}